# Generated from whatis-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name whatis

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: WhatIs.this: Small entity resolver through Wikipedia
License: MIT
URL: https://github.com/molybdenum-99/whatis
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(rspec-its) >= 1
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(saharspec) = 0.0.4
# BuildRequires: rubygem(simplecov) >= 0.9
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(rubygems-tasks)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(kramdown)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(dokaz)
BuildArch: noarch

%description
WhatIs.this fetches any entity metadata from Wikipedia by title and
renders it concisely and
informatively. Think `WhatIs.these(list, of, user, entered,
toponyms).map(&:coordinates)` for
example.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/whatis
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/whatis.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.0.1-1
- Initial package
